Skip to main content
GET
/
conversations
/
{id}
/
messages
List messages
curl --request GET \
  --url https://app.leonar.app/api/v1/conversations/{id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "direction": "inbound",
      "channel": "<string>",
      "sent_at": "2023-11-07T05:31:56Z",
      "read_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 142,
    "limit": 50,
    "offset": 0,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Path Parameters

id
string<uuid>
required

Query Parameters

limit
integer
default:50

Items per page

Required range: 1 <= x <= 100
offset
integer
default:0

Items to skip

Required range: x >= 0

Response

List of messages

data
object[]
meta
object
Example:
{
"total": 142,
"limit": 50,
"offset": 0,
"has_more": true
}